com.holonplatform.vaadin.flow.components.builders

## Interface SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>

- Type Parameters:
    `T` - Value type
  All Superinterfaces:
    ComponentConfigurator<SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>, DeferrableLocalizationConfigurator<SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>, FocusableConfigurator<com.vaadin.flow.component.Component,SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>, HasAutofocusConfigurator<SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>, HasDeferrableLocalization, HasElementConfigurator<SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>, HasEnabledConfigurator<SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>, HasFilterableDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,String,SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>, HasItemsConfigurator<com.holonplatform.core.property.PropertyBox,SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>, HasLabelConfigurator<SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>, HasPatternConfigurator<SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>, HasPlaceholderConfigurator<SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>, HasPropertyBoxDatastoreFilterableDataProviderConfigurator<String,SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputBuilder<T>,SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>, HasSizeConfigurator<SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>, HasStyleConfigurator<SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>, InputBuilder<T,ValueHolder.ValueChangeEvent<T>,SingleSelect<T>,SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>, InputConfigurator<T,ValueHolder.ValueChangeEvent<T>,SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>, ItemSetConfigurator<SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>, SelectableInputConfigurator<T,T,SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>, SelectModeSingleSelectInputBuilder<T,com.holonplatform.core.property.PropertyBox,SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>, SingleSelectInputBuilder<T,com.holonplatform.core.property.PropertyBox,SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>
  Enclosing interface:
    SelectModeSingleSelectInputBuilder<T,ITEM,B extends SelectModeSingleSelectInputBuilder<T,ITEM,B>>

      public static interface SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>
      extends SelectModeSingleSelectInputBuilder<T,com.holonplatform.core.property.PropertyBox,SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>, HasPropertyBoxDatastoreFilterableDataProviderConfigurator<String,SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputBuilder<T>,SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>>

  `Property` model based `SingleSelect` input builder for the select rendering mode.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectModeSingleSelectInputBuilder

      `SelectModeSingleSelectInputBuilder.DatastoreItemSelectModeSingleSelectInputBuilder<T,ITEM>, SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputBuilder<T>, SelectModeSingleSelectInputBuilder.ItemSelectModeSingleSelectInputBuilder<T,ITEM>, SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `ItemSetConfigurator.ItemCaptionGenerator<ITEM>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputBuilder<T>` | `dataSource(com.holonplatform.core.datastore.Datastore datastore, com.holonplatform.core.datastore.DataTarget<?> target)` Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target.
    `SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputBuilder<T>` | `dataSource(com.holonplatform.core.datastore.Datastore datastore, com.holonplatform.core.datastore.DataTarget<?> target, Function<String,com.holonplatform.core.query.QueryFilter> filterConverter)` Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target.
    `<P extends com.holonplatform.core.property.Property> SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputBuilder<T>` | `dataSource(com.holonplatform.core.datastore.Datastore datastore, com.holonplatform.core.datastore.DataTarget<?> target, Iterable<P> properties)` Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target and given `properties` as query projection.
    `default SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputBuilder<T>` | `dataSource(com.holonplatform.core.datastore.Datastore datastore, com.holonplatform.core.datastore.DataTarget<?> target, com.holonplatform.core.property.Property<?>... properties)` Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target and given `properties` as query projection.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectModeSingleSelectInputBuilder

      `create, create, create, create, dataSource, itemCaption, itemCaption, itemCaption, itemCaptionGenerator, pageSize, renderer`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputBuilder

      `build, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectableInputConfigurator

      `withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPatternConfigurator

      `pattern, preventInvalidInput, preventInvalidInput`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutofocusConfigurator

      `autofocus`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPropertyBoxDatastoreFilterableDataProviderConfigurator

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasFilterableDataProviderConfigurator

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemsConfigurator

      `addItem, items, items`

- - ### Method Detail

    - #### dataSource

          default SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputBuilder<T> dataSource(com.holonplatform.core.datastore.Datastore datastore,
                                                                                                                       com.holonplatform.core.datastore.DataTarget<?> target,
                                                                                                                       com.holonplatform.core.property.Property<?>... properties)

      Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target and given `properties` as query projection.
      Parameters:
        `datastore` - The `Datastore` to use (not null)
        `target` - The `DataTarget` to use as query target (not null)
        `properties` - The property set to use as query projection (not null)
      Returns:
        An extended builder which allow further data provider configuration, for example to add fixed `QueryFilter` and `QuerySort`.
      See Also:
        `DatastoreDataProviderConfigurator`

    - #### dataSource

          <P extends com.holonplatform.core.property.Property> SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputBuilder<T> dataSource(com.holonplatform.core.datastore.Datastore datastore,
                                                                                                                                                                    com.holonplatform.core.datastore.DataTarget<?> target,
                                                                                                                                                                    Iterable<P> properties)

      Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target and given `properties` as query projection.
      Type Parameters:
        `P` - Property type
      Parameters:
        `datastore` - The `Datastore` to use (not null)
        `target` - The `DataTarget` to use as query target (not null)
        `properties` - The property set to use as query projection (not null)
      Returns:
        An extended builder which allow further data provider configuration, for example to add fixed `QueryFilter` and `QuerySort`.
      See Also:
        `DatastoreDataProviderConfigurator`

    - #### dataSource

          SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputBuilder<T> dataSource(com.holonplatform.core.datastore.Datastore datastore,
                                                                                                               com.holonplatform.core.datastore.DataTarget<?> target)

      Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target.

      The query projection property set will be represented by the selection property only.

      Parameters:
        `datastore` - The `Datastore` to use (not null)
        `target` - The `DataTarget` to use as query target (not null)
      Returns:
        An extended builder which allow further data provider configuration, for example to add fixed `QueryFilter` and `QuerySort`.
      See Also:
        `DatastoreDataProviderConfigurator`

    - #### dataSource

          SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputBuilder<T> dataSource(com.holonplatform.core.datastore.Datastore datastore,
                                                                                                               com.holonplatform.core.datastore.DataTarget<?> target,
                                                                                                               Function<String,com.holonplatform.core.query.QueryFilter> filterConverter)

      Set the data provider which acts as items data source, using given `Datastore` as backend data handler, given `DataTarget` as query target.

      The query projection property set will be represented by the selection property only.

      Parameters:
        `datastore` - The `Datastore` to use (not null)
        `target` - The `DataTarget` to use as query target (not null)
        `filterConverter` - Data provider filter type to `QueryFilter` converter (not null)
      Returns:
        An extended builder which allow further data provider configuration, for example to add fixed `QueryFilter` and `QuerySort`.
      See Also:
        `DatastoreDataProviderConfigurator`

Copyright © 2019 The Holon Platform. All rights reserved.